com.aventstack.extentreports.reporter

## Class ExtentHtmlReporter

- java.lang.Object
- - com.aventstack.extentreports.reporter.ConfigurableReporter
  - - com.aventstack.extentreports.reporter.AbstractReporter
    - - com.aventstack.extentreports.reporter.BasicFileReporter
      - - com.aventstack.extentreports.reporter.ExtentHtmlReporter

- All Implemented Interfaces:
    AnalysisStrategyService, ExtentReporter, TestListener

      public class ExtentHtmlReporter
      extends BasicFileReporter

  The ExtentHtmlReporter creates a rich standalone HTML file. It allows several configuration options via the `config()` method.

- - ### Field Summary

    - ### Fields inherited from class com.aventstack.extentreports.reporter.BasicFileReporter

      `destination, filePath, templateMap`

    - ### Fields inherited from class com.aventstack.extentreports.reporter.AbstractReporter

      `endTime, levels, startTime`

    - ### Fields inherited from class com.aventstack.extentreports.reporter.ConfigurableReporter

      `configContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtentHtmlReporter(File file)`
    `ExtentHtmlReporter(String path)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtentHtmlReporterConfiguration` | `config()`
    `void` | `flush(ReportAggregates reportAggregates)` Write to or update the target source (file, database)
    `String` | `getReporterName()` Get the reporter name

    - ### Methods inherited from class com.aventstack.extentreports.reporter.BasicFileReporter

      `containsStatus, containsStatus, enforceOfflineMode, getAuthorContextInfo, getCategoryContextInfo, getDeviceContextInfo, getEndTime, getExceptionContextInfo, getFileFile, getFilePath, getFreemarkerConfig, getReportStatusStats, getSource, getStartTime, getStatusList, getSystemAttributeContext, getTestList, getTestRunnerLogs, init, loadUserConfig, onAuthorAssigned, onCategoryAssigned, onDeviceAssigned, onLogAdded, onNodeStarted, onScreenCaptureAdded, onScreenCaptureAdded, onScreencastAdded, onTestRemoved, onTestStarted, processTemplate, setFilePath, start, stop`

    - ### Methods inherited from class com.aventstack.extentreports.reporter.AbstractReporter

      `getAnalysisStrategy, getLongRunDuration, getRunDuration, setAnalysisStrategy, setEndTime`

    - ### Methods inherited from class com.aventstack.extentreports.reporter.ConfigurableReporter

      `getConfigContext, loadConfig, loadConfig, loadConfig, loadXMLConfig, loadXMLConfig, loadXMLConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtentHtmlReporter

          public ExtentHtmlReporter(String path)

    - #### ExtentHtmlReporter

          public ExtentHtmlReporter(File file)

  - ### Method Detail

    - #### config

          public ExtentHtmlReporterConfiguration config()

    - #### flush

          public void flush(ReportAggregates reportAggregates)

      Description copied from interface: `ExtentReporter`
      Write to or update the target source (file, database)
      Specified by:
        `flush` in interface `ExtentReporter`
      Overrides:
        `flush` in class `BasicFileReporter`
      Parameters:
        `reportAggregates` - a `ReportAggregates` object

    - #### getReporterName

          public String getReporterName()

      Description copied from interface: `ExtentReporter`
      Get the reporter name
      Returns:
        reporter name

Copyright © 2018. All rights reserved.